<?xml version="1.0" encoding="ascii"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
          "DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <title>pyxmpp.stanza.Stanza</title>
  <link rel="stylesheet" href="epydoc.css" type="text/css" />
  <script type="text/javascript" src="epydoc.js"></script>
</head>

<body bgcolor="white" text="black" link="blue" vlink="#204080"
      alink="#204080">
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="pyxmpp-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            ><a class="navbar" target="_top" href="http://pyxmpp.jajcus.net/">PyXMPP</a></th>
          </tr></table></th>
  </tr>
</table>
<table width="100%" cellpadding="0" cellspacing="0">
  <tr valign="top">
    <td width="100%">
      <span class="breadcrumbs">
        <a href="pyxmpp-module.html">Package&nbsp;pyxmpp</a> ::
        <a href="pyxmpp.stanza-module.html">Module&nbsp;stanza</a> ::
        Class&nbsp;Stanza
      </span>
    </td>
    <td>
      <table cellpadding="0" cellspacing="0">
        <!-- hide/show private -->
        <tr><td align="right"><span class="options">[<a href="javascript:void(0);" class="privatelink"
    onclick="toggle_private();">hide&nbsp;private</a>]</span></td></tr>
      </table>
    </td>
  </tr>
</table>
<!-- ==================== CLASS DESCRIPTION ==================== -->
<h1 class="epydoc">Class Stanza</h1><p class="nomargin-top"><span class="codelink"><a href="pyxmpp.stanza-pysrc.html#Stanza">source&nbsp;code</a></span></p>
<dl><dt>Known Subclasses:</dt>
<dd>
      <ul class="subclass-list">
<li><a href="pyxmpp.iq.Iq-class.html">iq.Iq</a></li><li>, <a href="pyxmpp.message.Message-class.html">message.Message</a></li><li>, <a href="pyxmpp.presence.Presence-class.html">presence.Presence</a></li>  </ul>
</dd></dl>

<hr />
Base class for all XMPP stanzas.

<!-- ==================== INSTANCE METHODS ==================== -->
<a name="section-InstanceMethods"></a>
<table class="summary" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Instance Methods</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-InstanceMethods"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="__del__"></a><span class="summary-sig-name">__del__</span>(<span class="summary-sig-arg">self</span>)</span></td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.stanza-pysrc.html#Stanza.__del__">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="__eq__"></a><span class="summary-sig-name">__eq__</span>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">other</span>)</span></td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.stanza-pysrc.html#Stanza.__eq__">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.stanza.Stanza-class.html#__init__" class="summary-sig-name">__init__</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">name_or_xmlnode</span>,
        <span class="summary-sig-arg">from_jid</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">to_jid</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">stanza_type</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">stanza_id</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">error</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">error_cond</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">stream</span>=<span class="summary-sig-default">None</span>)</span><br />
      Initialize a Stanza object.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.stanza-pysrc.html#Stanza.__init__">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="__ne__"></a><span class="summary-sig-name">__ne__</span>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">other</span>)</span></td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.stanza-pysrc.html#Stanza.__ne__">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.stanza.Stanza-class.html#add_content" class="summary-sig-name">add_content</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">content</span>)</span><br />
      Add an XML node to the stanza's payload.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.stanza-pysrc.html#Stanza.add_content">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.stanza.Stanza-class.html#add_new_content" class="summary-sig-name">add_new_content</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">ns_uri</span>,
        <span class="summary-sig-arg">name</span>)</span><br />
      Add a new XML element to the stanza payload.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.stanza-pysrc.html#Stanza.add_new_content">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type"><a href="pyxmpp.stanza.Stanza-class.html" class="link">Stanza</a></span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="copy"></a><span class="summary-sig-name">copy</span>(<span class="summary-sig-arg">self</span>)</span><br />
      Create a deep copy of the stanza.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.stanza-pysrc.html#Stanza.copy">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="free"></a><span class="summary-sig-name">free</span>(<span class="summary-sig-arg">self</span>)</span><br />
      Free the node associated with this <a href="pyxmpp.stanza.Stanza-class.html" class="link">Stanza</a> object.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.stanza-pysrc.html#Stanza.free">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type"><a href="pyxmpp.error.StanzaErrorNode-class.html" class="link">pyxmpp.error.StanzaErrorNode</a></span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.stanza.Stanza-class.html#get_error" class="summary-sig-name">get_error</a>(<span class="summary-sig-arg">self</span>)</span><br />
      Get stanza error information.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.stanza-pysrc.html#Stanza.get_error">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type"><a href="pyxmpp.jid.JID-class.html" class="link">JID</a></span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.stanza.Stanza-class.html#get_from" class="summary-sig-name">get_from</a>(<span class="summary-sig-arg">self</span>)</span><br />
      Get &quot;from&quot; attribute of the stanza.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.stanza-pysrc.html#Stanza.get_from">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type"><a href="pyxmpp.jid.JID-class.html" class="link">JID</a></span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.stanza.Stanza-class.html#get_from_jid" class="summary-sig-name">get_from_jid</a>(<span class="summary-sig-arg">self</span>)</span><br />
      Get &quot;from&quot; attribute of the stanza.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.stanza-pysrc.html#Stanza.get_from">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type"><code class="link">unicode</code></span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.stanza.Stanza-class.html#get_id" class="summary-sig-name">get_id</a>(<span class="summary-sig-arg">self</span>)</span><br />
      Get &quot;id&quot; attribute of the stanza.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.stanza-pysrc.html#Stanza.get_id">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type"><code class="link">libxml2.xmlNode</code></span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="get_node"></a><span class="summary-sig-name">get_node</span>(<span class="summary-sig-arg">self</span>)</span><br />
      Return the XML node wrapped into <code class="link">self</code>.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.stanza-pysrc.html#Stanza.get_node">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type"><code class="link">unicode</code></span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.stanza.Stanza-class.html#get_stanza_id" class="summary-sig-name">get_stanza_id</a>(<span class="summary-sig-arg">self</span>)</span><br />
      Get &quot;id&quot; attribute of the stanza.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.stanza-pysrc.html#Stanza.get_id">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type"><code class="link">unicode</code></span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.stanza.Stanza-class.html#get_stanza_type" class="summary-sig-name">get_stanza_type</a>(<span class="summary-sig-arg">self</span>)</span><br />
      Get &quot;type&quot; attribute of the stanza.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.stanza-pysrc.html#Stanza.get_type">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type"><a href="pyxmpp.jid.JID-class.html" class="link">JID</a></span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.stanza.Stanza-class.html#get_to" class="summary-sig-name">get_to</a>(<span class="summary-sig-arg">self</span>)</span><br />
      Get &quot;to&quot; attribute of the stanza.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.stanza-pysrc.html#Stanza.get_to">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type"><a href="pyxmpp.jid.JID-class.html" class="link">JID</a></span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.stanza.Stanza-class.html#get_to_jid" class="summary-sig-name">get_to_jid</a>(<span class="summary-sig-arg">self</span>)</span><br />
      Get &quot;to&quot; attribute of the stanza.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.stanza-pysrc.html#Stanza.get_to">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type"><code class="link">unicode</code></span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.stanza.Stanza-class.html#get_type" class="summary-sig-name">get_type</a>(<span class="summary-sig-arg">self</span>)</span><br />
      Get &quot;type&quot; attribute of the stanza.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.stanza-pysrc.html#Stanza.get_type">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type"><code class="link">str</code></span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.stanza.Stanza-class.html#serialize" class="summary-sig-name">serialize</a>(<span class="summary-sig-arg">self</span>)</span><br />
      Serialize the stanza into an UTF-8 encoded XML string.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.stanza-pysrc.html#Stanza.serialize">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.stanza.Stanza-class.html#set_content" class="summary-sig-name">set_content</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">content</span>)</span><br />
      Set stanza content to an XML node.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.stanza-pysrc.html#Stanza.set_content">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.stanza.Stanza-class.html#set_from" class="summary-sig-name">set_from</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">from_jid</span>)</span><br />
      Set &quot;from&quot; attribute of the stanza.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.stanza-pysrc.html#Stanza.set_from">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.stanza.Stanza-class.html#set_id" class="summary-sig-name">set_id</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">stanza_id</span>)</span><br />
      Set &quot;id&quot; attribute of the stanza.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.stanza-pysrc.html#Stanza.set_id">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.stanza.Stanza-class.html#set_new_content" class="summary-sig-name">set_new_content</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">ns_uri</span>,
        <span class="summary-sig-arg">name</span>)</span><br />
      Set stanza payload to a new XML element.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.stanza-pysrc.html#Stanza.set_new_content">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.stanza.Stanza-class.html#set_to" class="summary-sig-name">set_to</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">to_jid</span>)</span><br />
      Set &quot;to&quot; attribute of the stanza.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.stanza-pysrc.html#Stanza.set_to">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.stanza.Stanza-class.html#set_type" class="summary-sig-name">set_type</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">stanza_type</span>)</span><br />
      Set &quot;type&quot; attribute of the stanza.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.stanza-pysrc.html#Stanza.set_type">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.stanza.Stanza-class.html#xpath_eval" class="summary-sig-name">xpath_eval</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">expr</span>,
        <span class="summary-sig-arg">namespaces</span>=<span class="summary-sig-default">None</span>)</span><br />
      Evaluate an XPath expression on the stanza XML node.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.stanza-pysrc.html#Stanza.xpath_eval">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
</table>
<!-- ==================== CLASS VARIABLES ==================== -->
<a name="section-ClassVariables"></a>
<table class="summary" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Class Variables</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-ClassVariables"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="stanza_type"></a><span class="summary-name">stanza_type</span> = <code title="'Unknown'"><code class="variable-quote">'</code><code class="variable-string">Unknown</code><code class="variable-quote">'</code></code>
    </td>
  </tr>
</table>
<!-- ==================== INSTANCE VARIABLES ==================== -->
<a name="section-InstanceVariables"></a>
<table class="summary" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Instance Variables</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-InstanceVariables"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
<tr class="private">
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">: <a href="pyxmpp.error.StanzaErrorNode-class.html" class="link">pyxmpp.error.StanzaErrorNode</a></span>
    </td><td class="summary">
        <a name="_error"></a><span class="summary-name">_error</span><br />
      : <a href="pyxmpp.error.StanzaErrorNode-class.html" class="link">pyxmpp.error.StanzaErrorNode</a> describing the error associated with
the stanza of type &quot;error&quot;.
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a href="pyxmpp.stanza.Stanza-class.html#stream" class="summary-name">stream</a><br />
      : stream on which the stanza was received or <code class="link">None</code>.
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">: <code class="link">libxml2.xmlNode</code></span>
    </td><td class="summary">
        <a name="xmlnode"></a><span class="summary-name">xmlnode</span><br />
      : stanza XML node.
    </td>
  </tr>
</table>
<!-- ==================== METHOD DETAILS ==================== -->
<a name="section-MethodDetails"></a>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Method Details</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-MethodDetails"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
</table>
<a name="__init__"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">__init__</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">name_or_xmlnode</span>,
        <span class="sig-arg">from_jid</span>=<span class="sig-default">None</span>,
        <span class="sig-arg">to_jid</span>=<span class="sig-default">None</span>,
        <span class="sig-arg">stanza_type</span>=<span class="sig-default">None</span>,
        <span class="sig-arg">stanza_id</span>=<span class="sig-default">None</span>,
        <span class="sig-arg">error</span>=<span class="sig-default">None</span>,
        <span class="sig-arg">error_cond</span>=<span class="sig-default">None</span>,
        <span class="sig-arg">stream</span>=<span class="sig-default">None</span>)</span>
    <br /><em class="fname">(Constructor)</em>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.stanza-pysrc.html#Stanza.__init__">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Initialize a Stanza object.
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>name_or_xmlnode</code></strong> (: <code class="link">unicode</code> or <code class="link">libxml2.xmlNode</code> or <a href="pyxmpp.stanza.Stanza-class.html" class="link">Stanza</a>) - : XML node to be wrapped into the Stanza object
or other Presence object to be copied. If not given then new
presence stanza is created using following parameters.</li>
        <li><strong class="pname"><code>from_jid</code></strong> (: <a href="pyxmpp.jid.JID-class.html" class="link">JID</a>) - : sender JID.</li>
        <li><strong class="pname"><code>to_jid</code></strong> (: <a href="pyxmpp.jid.JID-class.html" class="link">JID</a>) - : recipient JID.</li>
        <li><strong class="pname"><code>stanza_type</code></strong> (: <code class="link">unicode</code>) - : staza type: one of: &quot;get&quot;, &quot;set&quot;, &quot;result&quot; or &quot;error&quot;.</li>
        <li><strong class="pname"><code>stanza_id</code></strong> (: <code class="link">unicode</code>) - : stanza id -- value of stanza's &quot;id&quot; attribute. If
not given, then unique for the session value is generated.</li>
        <li><strong class="pname"><code>error</code></strong> (: <a href="pyxmpp.error.StanzaErrorNode-class.html" class="link">pyxmpp.error.StanzaErrorNode</a>) - : error object. Ignored if <a href="pyxmpp.stanza.Stanza-class.html#stanza_type" class="link">stanza_type</a> is not &quot;error&quot;.</li>
        <li><strong class="pname"><code>error_cond</code></strong> (: <code class="link">unicode</code>) - : error condition name. Ignored if <a href="pyxmpp.stanza.Stanza-class.html#stanza_type" class="link">stanza_type</a> is not
&quot;error&quot; or <a href="pyxmpp.error-module.html" class="link">error</a> is not None.</li>
    </ul></dd>
  </dl>
</td></tr></table>
</div>
<a name="add_content"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">add_content</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">content</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.stanza-pysrc.html#Stanza.add_content">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Add an XML node to the stanza's payload.
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>content</code></strong> - : XML node to be added to the payload.</li>
    </ul></dd>
  </dl>
<div class="fields">      <p><strong>Types:</strong>
        <ul>
<li><dl class="rst-first rst-docutils">
<dt><code class="link">content</code>: <code class="link">libxml2.xmlNode</code>, UTF-8 <code class="link">str</code> or unicode, or</dt>
<dd><p class="rst-first rst-last">an object with &quot;as_xml()&quot; method.</p>
</dd>
</dl>
</li>
</ul>
      </p>
</div></td></tr></table>
</div>
<a name="add_new_content"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">add_new_content</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">ns_uri</span>,
        <span class="sig-arg">name</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.stanza-pysrc.html#Stanza.add_new_content">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Add a new XML element to the stanza payload.
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>ns_uri</code></strong> (: <code class="link">str</code>) - : XML namespace URI of the element.</li>
        <li><strong class="pname"><code>name</code></strong> (: <code class="link">str</code> or <code class="link">unicode</code>) - : element name.</li>
    </ul></dd>
  </dl>
</td></tr></table>
</div>
<a name="get_error"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">get_error</span>(<span class="sig-arg">self</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.stanza-pysrc.html#Stanza.get_error">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Get stanza error information.
  <dl class="fields">
    <dt>Returns: <a href="pyxmpp.error.StanzaErrorNode-class.html" class="link">pyxmpp.error.StanzaErrorNode</a></dt>
        <dd>object describing the error.</dd>
  </dl>
</td></tr></table>
</div>
<a name="get_from"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">get_from</span>(<span class="sig-arg">self</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.stanza-pysrc.html#Stanza.get_from">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Get &quot;from&quot; attribute of the stanza.
  <dl class="fields">
    <dt>Returns: <a href="pyxmpp.jid.JID-class.html" class="link">JID</a></dt>
        <dd>value of the &quot;from&quot; attribute (sender JID) or None.</dd>
  </dl>
</td></tr></table>
</div>
<a name="get_from_jid"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">get_from_jid</span>(<span class="sig-arg">self</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.stanza-pysrc.html#Stanza.get_from">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Get &quot;from&quot; attribute of the stanza.
  <dl class="fields">
    <dt>Returns: <a href="pyxmpp.jid.JID-class.html" class="link">JID</a></dt>
        <dd>value of the &quot;from&quot; attribute (sender JID) or None.</dd>
  </dl>
</td></tr></table>
</div>
<a name="get_id"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">get_id</span>(<span class="sig-arg">self</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.stanza-pysrc.html#Stanza.get_id">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Get &quot;id&quot; attribute of the stanza.
  <dl class="fields">
    <dt>Returns: <code class="link">unicode</code></dt>
        <dd>value of the &quot;id&quot; attribute (stanza identifier) or None.</dd>
  </dl>
</td></tr></table>
</div>
<a name="get_stanza_id"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">get_stanza_id</span>(<span class="sig-arg">self</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.stanza-pysrc.html#Stanza.get_id">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Get &quot;id&quot; attribute of the stanza.
  <dl class="fields">
    <dt>Returns: <code class="link">unicode</code></dt>
        <dd>value of the &quot;id&quot; attribute (stanza identifier) or None.</dd>
  </dl>
</td></tr></table>
</div>
<a name="get_stanza_type"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">get_stanza_type</span>(<span class="sig-arg">self</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.stanza-pysrc.html#Stanza.get_type">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Get &quot;type&quot; attribute of the stanza.
  <dl class="fields">
    <dt>Returns: <code class="link">unicode</code></dt>
        <dd>value of the &quot;type&quot; attribute (stanza type) or None.</dd>
  </dl>
</td></tr></table>
</div>
<a name="get_to"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">get_to</span>(<span class="sig-arg">self</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.stanza-pysrc.html#Stanza.get_to">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Get &quot;to&quot; attribute of the stanza.
  <dl class="fields">
    <dt>Returns: <a href="pyxmpp.jid.JID-class.html" class="link">JID</a></dt>
        <dd>value of the &quot;to&quot; attribute (recipient JID) or None.</dd>
  </dl>
</td></tr></table>
</div>
<a name="get_to_jid"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">get_to_jid</span>(<span class="sig-arg">self</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.stanza-pysrc.html#Stanza.get_to">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Get &quot;to&quot; attribute of the stanza.
  <dl class="fields">
    <dt>Returns: <a href="pyxmpp.jid.JID-class.html" class="link">JID</a></dt>
        <dd>value of the &quot;to&quot; attribute (recipient JID) or None.</dd>
  </dl>
</td></tr></table>
</div>
<a name="get_type"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">get_type</span>(<span class="sig-arg">self</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.stanza-pysrc.html#Stanza.get_type">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Get &quot;type&quot; attribute of the stanza.
  <dl class="fields">
    <dt>Returns: <code class="link">unicode</code></dt>
        <dd>value of the &quot;type&quot; attribute (stanza type) or None.</dd>
  </dl>
</td></tr></table>
</div>
<a name="serialize"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">serialize</span>(<span class="sig-arg">self</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.stanza-pysrc.html#Stanza.serialize">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Serialize the stanza into an UTF-8 encoded XML string.
  <dl class="fields">
    <dt>Returns: <code class="link">str</code></dt>
        <dd>serialized stanza.</dd>
  </dl>
</td></tr></table>
</div>
<a name="set_content"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">set_content</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">content</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.stanza-pysrc.html#Stanza.set_content">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Set stanza content to an XML node.
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>content</code></strong> (: <code class="link">libxml2.xmlNode</code> or unicode, or UTF-8 <code class="link">str</code>) - : XML node to be included in the stanza.</li>
    </ul></dd>
  </dl>
</td></tr></table>
</div>
<a name="set_from"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">set_from</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">from_jid</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.stanza-pysrc.html#Stanza.set_from">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Set &quot;from&quot; attribute of the stanza.
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>from_jid</code></strong> (: <a href="pyxmpp.jid.JID-class.html" class="link">JID</a>) - : new value of the &quot;from&quot; attribute (sender JID).</li>
    </ul></dd>
  </dl>
</td></tr></table>
</div>
<a name="set_id"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">set_id</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">stanza_id</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.stanza-pysrc.html#Stanza.set_id">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Set &quot;id&quot; attribute of the stanza.
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>stanza_id</code></strong> (: <code class="link">unicode</code>) - : new value of the &quot;id&quot; attribute (stanza identifier).</li>
    </ul></dd>
  </dl>
</td></tr></table>
</div>
<a name="set_new_content"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">set_new_content</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">ns_uri</span>,
        <span class="sig-arg">name</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.stanza-pysrc.html#Stanza.set_new_content">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Set stanza payload to a new XML element.
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>ns_uri</code></strong> (: <code class="link">str</code>) - : XML namespace URI of the element.</li>
        <li><strong class="pname"><code>name</code></strong> (: <code class="link">str</code> or <code class="link">unicode</code>) - : element name.</li>
    </ul></dd>
  </dl>
</td></tr></table>
</div>
<a name="set_to"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">set_to</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">to_jid</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.stanza-pysrc.html#Stanza.set_to">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Set &quot;to&quot; attribute of the stanza.
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>to_jid</code></strong> (: <a href="pyxmpp.jid.JID-class.html" class="link">JID</a>) - : new value of the &quot;to&quot; attribute (recipient JID).</li>
    </ul></dd>
  </dl>
</td></tr></table>
</div>
<a name="set_type"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">set_type</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">stanza_type</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.stanza-pysrc.html#Stanza.set_type">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Set &quot;type&quot; attribute of the stanza.
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>stanza_type</code></strong> (: <code class="link">unicode</code>) - : new value of the &quot;type&quot; attribute (stanza type).</li>
    </ul></dd>
  </dl>
</td></tr></table>
</div>
<a name="xpath_eval"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">xpath_eval</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">expr</span>,
        <span class="sig-arg">namespaces</span>=<span class="sig-default">None</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.stanza-pysrc.html#Stanza.xpath_eval">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <p>Evaluate an XPath expression on the stanza XML node.</p>
<p>The expression will be evaluated in context where the common namespace
(the one used for stanza elements, mapped to 'jabber:client',
'jabber:server', etc.) is bound to prefix &quot;ns&quot; and other namespaces are
bound accordingly to the <code class="link">namespaces</code> list.</p>
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>expr</code></strong> (: <code class="link">unicode</code>) - : XPath expression.</li>
        <li><strong class="pname"><code>namespaces</code></strong> (: <code class="link">dict</code> or other mapping) - : mapping from namespace prefixes to URIs.</li>
    </ul></dd>
  </dl>
</td></tr></table>
</div>
<br />
<!-- ==================== INSTANCE VARIABLE DETAILS ==================== -->
<a name="section-InstanceVariableDetails"></a>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Instance Variable Details</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-InstanceVariableDetails"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
</table>
<a name="stream"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <h3 class="epydoc">stream</h3>
  : stream on which the stanza was received or <code class="link">None</code>. May be
used to send replies or get some session-related parameters.
  <dl class="fields">
  </dl>
</td></tr></table>
</div>
<br />
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="pyxmpp-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            ><a class="navbar" target="_top" href="http://pyxmpp.jajcus.net/">PyXMPP</a></th>
          </tr></table></th>
  </tr>
</table>
<table border="0" cellpadding="0" cellspacing="0" width="100%%">
  <tr>
    <td align="left" class="footer">
    Generated by Epydoc 3.0.1 on Sun May  8 13:35:04 2011
    </td>
    <td align="right" class="footer">
      <a target="mainFrame" href="http://epydoc.sourceforge.net"
        >http://epydoc.sourceforge.net</a>
    </td>
  </tr>
</table>

<script type="text/javascript">
  <!--
  // Private objects are initially displayed (because if
  // javascript is turned off then we want them to be
  // visible); but by default, we want to hide them.  So hide
  // them unless we have a cookie that says to show them.
  checkCookie();
  // -->
</script>
</body>
</html>
